php-net-smtp_1.8.0-1_all.deb


Advertisement

Description

php-net-smtp - PHP PEAR module implementing SMTP protocol

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename php-net-smtp_1.8.0-1_all.deb
Package name php-net-smtp
Package version 1.8.0
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage http://pear.php.net/package/Net_SMTP
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 18.20 KB
Installed size 80.00 KB
Provides an implementation of the SMTP protocol using PEAR's Net_Socket class.
The php-net-smtp package supports the SMTP authentication standard (as defined
by RFC-2554) if you also install the php-auth-sasl package. Net_SMTP then
supports several authentication methods like DIGEST-MD5, CRAM-MD5, LOGIN and
PLAIN.

Alternatives

Package Version Architecture Repository
php-net-smtp_1.8.0-1_all.deb 1.8.0 all Ubuntu Universe
php-net-smtp - - -

Requires

Name Value
php-common -
php-net-socket >= 1.0.7

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-net-smtp_1.8.0-1_all.deb
Source Package php-net-smtp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-net-smtp deb package:
    # sudo apt-get install php-net-smtp

Files

Path
/usr/share/doc/php-net-smtp/changelog.Debian.gz
/usr/share/doc/php-net-smtp/copyright
/usr/share/doc/php-net-smtp/package.xml
/usr/share/doc/php-net-smtp/docs/guide.txt.gz
/usr/share/doc/php-net-smtp/examples/auth.phpt
/usr/share/doc/php-net-smtp/examples/basic.php
/usr/share/doc/php-net-smtp/examples/basic.phpt
/usr/share/doc/php-net-smtp/examples/config.php.dist
/usr/share/doc/php-net-smtp/examples/quotedata.phpt
/usr/share/php/.registry/net_smtp.reg
/usr/share/php/Net/SMTP.php

Changelog

2017-08-27 - Prach Pongpanich <prach@debian.org>
php-net-smtp (1.8.0-1) unstable; urgency=medium
* Team upload
* New upstream version 1.8.0
* Change license to BSD-2 Clause
* Update Standards-Version to 4.1.0
* Drop Thomas Goirand from uploaders as he requested
2016-03-20 - David Prévot <taffit@debian.org>
php-net-smtp (1.7.1-2) unstable; urgency=medium
* Team upload
* Use standard gbp layout
* Update Standards-Version to 3.9.7
* Rebuild with recent pkg-php-tools for the PHP 7.0 transition
2015-12-28 - Guillaume Delacour <gui@iroqwa.org>
php-net-smtp (1.7.1-1) unstable; urgency=medium
* New upstream release, update copyright to upstream authors instead of PHP
Group
2014-10-04 - Guillaume Delacour <gui@iroqwa.org>
php-net-smtp (1.6.2-2) unstable; urgency=medium
* Use "pear run-tests" instead of phpunit for DEP-8 tests
2014-09-22 - Guillaume Delacour <gui@iroqwa.org>
php-net-smtp (1.6.2-1) unstable; urgency=medium
* New upstream release
* Policy version is now 3.9.6, update Vcs-{Browser,Git} fields and add
${phppear:Debian-Depends} and ${phppear:Debian-Breaks}
* Now build-depends on debhelper 9.
* Run upstream test suite during build with phpunit and add DEP-8 support
* Remove specific {Pre-}Depends as pkg-php-tools set them correctly
* Add Build-Depends on php-net-socket as upstream test suite load it
* Remove debian/docs to not install guide.txt twice (package.xml)
* Update copyright to current 1.0 format
* Update Php license to short PHP-3.01
2012-01-13 - Thomas Goirand <zigo@debian.org>
php-net-smtp (1.6.1-1) unstable; urgency=low
* New upstream release (Closes: #655324).
* Switching to pkg-php-tools and dh 8 short style (so, rewrote the
debian/rules file).
* Reformated the debian/copyright file to match current DEP5 specs.
* Added a default debian/gbp.conf.
* Removed useless debian/NEWS file.
2011-06-12 - Thomas Goirand <zigo@debian.org>
php-net-smtp (1.6.0-1) unstable; urgency=low
* New upstream release with the following improvements:
- Adding a new command() method for sending arbitrary SMTP commands.
- More kinds of socket write() failures are now detected.
- Improved PEAR_Error internal handling. (Bug 18469)
- External authentication methods are now supported via setAuthMethod().
- Resource-based data streams are no longer terminated prematurely.
(Bug 18563)
2011-05-30 - Thomas Goirand <zigo@debian.org>
php-net-smtp (1.5.2-1) unstable; urgency=low
* New upstream release.
* Remove useless configure debian/rules target.
* Policy version is now 3.9.2.
* Updated Vcs-Git / Vcs-Browser as we are switching the package from SVN to
Git maintenance.
* Added more text on the long description.
* Now build-depends on debhelper 7.
* Now using DEP5 for debian/copyright.
* Now using pkg-php-pear@lists.alioth.debian.org as maintainer, and not
pkg-php-maint@lists.alioth.debian.org anymore.
* Removes useless dh-make-php build-depends.
* Using dh_prep instead of dh_clean -k.
2010-11-25 - Guillaume Delacour <gui@iroqwa.org>
php-net-smtp (1.4.2-3) unstable; urgency=low
* debian/control: Remove Breaks: and move php-pear (>= 5.3.1-4) from Depends
as Pre-Depends, as discussed on debian-release mailing-list.
2010-11-14 - Thomas Goirand <zigo@debian.org>
php-net-smtp (1.4.2-2) unstable; urgency=low
* Added a Conflicts: php-pear (<< 5.3), and now depends on php-pear (>= 5.3)
because otherwise upgrading path from Lenny is borken (Closes: #602865).
* Added myself as an uploader.

See Also

Package Description
php-net-socket_1.0.14-2_all.deb Network Socket Interface
php-net-url2_2.2.1-0.1_all.deb Class for parsing and handling URL
php-net-url_1.0.15-4_all.deb Easy parsing of Urls
php-net-whois_1.0.5-3.1_all.deb PHP PEAR module for querying whois services
php-nrk-predis_1.0.0-1_amd64.deb Flexible and feature-complete PHP client library for the Redis key-value store
php-numbers-words_0.18.1-2ubuntu1_all.deb PEAR module providing methods for spelling numerals in words
php-oauth_2.0.2+1.2.3-3_amd64.deb OAuth 1.0 consumer and provider extension
php-parser_3.1.5-1build4_all.deb convert PHP code into abstract syntax tree
php-patchwork-utf8_1.3.1-1_all.deb UTF-8 strings handling for PHP
php-pclzip_2.8.2-4_all.deb ZIP archive manager class for PHP
php-pecl-http-dev_3.2.0+2.6.0-2build1_all.deb pecl_http module for PHP Extended HTTP Support [dummy]
php-pecl-http_3.2.0+2.6.0-2build1_all.deb pecl_http module for PHP Extended HTTP Support [dummy]
php-phar-io-manifest_1.0.3-1build8_all.deb reading phar.io manifest information from a PHP Archive (Phar)
php-phar-io-version_2.0.1-1build5_all.deb handling version information and constraint
php-php-gettext_1.0.12-0.1_all.deb read gettext MO files directly, without requiring anything other than PHP
Advertisement
Advertisement